TIME(1)

NAME
time - time command execution

SYNOPSIS
time [-lp] utility [argument ...]

DESCRIPTION
time executes and times utility with optional arguments. After the utility finishes, time writes the total time elapsed, the time consumed by system overhead, and the time used to execute utility to the standard error stream. Times are reported in seconds.

The options are as follows:

-l  The contents of the rusage structure are printed.

-p  The output is formatted as specified by p1003.2-92.

FILES
/usr/include/sys/resource.h

EXIT STATUS
The time utility exits with one of the following values:

1-125
    An error occurred in the time utility.
126 The utility was found but could not be invoked.
127 The utility could not be found.

Otherwise, the exit status of time shall be that of utility.

SEE ALSO
csh(1), ksh(1), getrusage(2)

STANDARDS
The time utility is compliant with the p1003.1-2008 specification.

The flag [-l] is an extension to that specification.

time also exists as a built-in to csh(1) and ksh(1), though with a different syntax.

HISTORY
A time command appeared in AT&T UNIX.

BUGS
The granularity of seconds on microprocessors is crude and can result in times being reported for CPU usage which are too large by a second.